Get Custom Card

Retrieve and use the Custom Card ID to request a custom card. How it works:

  • Call GET /programs/{programCode}/accounts/{accountIdentifier}/paymentInstruments/{paymentInstrumentIdentifier}
  • If a custom card is available, your response will contain the customCardImageIdentifier field, which is a unique identifier for the custom card.
  • Call GET /programs/{programCode}/userIdentifiers/{userIdentifier}/getCustomCard?customCardImageIdentifier=GUID
    • Search for the custom card you are looking for using the customCardImageIdentifier.
    • If the custom card is found, you will receive a response containing the custom card information.
    • If the custom card is not found, you will receive the following:
      • Code: 4
      • Subcode: 1024
      • Description: customCardImageIdentifier not found or not supplied.

Note: GET customCard can be called with or without the customCardImageIdentifier. Sample response: GET paymentInstrument element.

Path Params
string
required

The program code identifying the BaaS program context.

string
required

The unique identifier for the user whose custom card is being retrieved.

Query Params
string

The unique identifier for the custom card image (optional).

Headers
string
required

A unique request identifier for tracking and logging. Should be a GUID.

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

401

Unauthorized

Language
Credentials
Header
LoadingLoading…
Response
Choose an example:
application/json
text/json